/hardware-toolboxes-patch-one¶
Summary¶
Source repository:
jef-systems/jef-hardware-backendSource SHA:
05b6b8706f6c3ea7eabd1a8e2be37d0117a97d9fSource run id:
26738299239Lambda function:
jef-hardware-toolboxes-patch-oneHTTP method:
PATCHAPI path:
/hardware-toolboxes-patch-oneEndpoint URL:
https://5g667fp458.execute-api.ap-southeast-1.amazonaws.com/prod/hardware-toolboxes-patch-onePayload mode:
json-body
Description¶
Function: jef-hardware-toolboxes-patch-oneModule: jef-hardwareAction: patch-oneMethod: PATCHInvocation Mode: ASYNCResource Path: /hardware-toolboxes-patch-oneTable: jef-hardware-toolboxesPrimary Key: toolbox_id
API Gateway Response¶
status\_code: 202message: Request accepted for asynchronous processing.
Payload Example¶
toolbox\_id: 6f0368ab-6e1c-4a73-98ef-a72547aa1598store\_id: a759206d-4ca5-4adb-b7fe-b1d0b8506b0centity\_number: 0001toolbox\_number: 0001toolbox\_code: value-001toolbox\_name: Sample Hardware Toolboxes 001equipment\_name: Sample Hardware Toolboxes 001category: value-001daily\_rate: 1status: value-001created: 2026-06-01T06:02:55Zupdated: 2026-06-01T06:02:55Zis\_active: Trueis\_deleted: Truedeleted\_at: 2026-06-01T06:02:55Zidempotency\_key: value-001schema\_version: 1version: 1children.toolbox\_items\[0\].toolbox\_item\_id: aa58b872-5d5f-47f3-a41e-472efca196c8children.toolbox\_items\[0\].toolbox\_id: 6f0368ab-6e1c-4a73-98ef-a72547aa1598children.toolbox\_items\[0\].store\_id: a759206d-4ca5-4adb-b7fe-b1d0b8506b0cchildren.toolbox\_items\[0\].line\_number: 1children.toolbox\_items\[0\].item\_name: Sample Hardware Toolbox Items 001children.toolbox\_items\[0\].item\_code: value-001children.toolbox\_items\[0\].item\_category: value-001children.toolbox\_items\[0\].quantity: 1children.toolbox\_items\[0\].unit: value-001children.toolbox\_items\[0\].status: value-001children.toolbox\_items\[0\].created: 2026-06-01T06:02:55Zchildren.toolbox\_items\[0\].updated: 2026-06-01T06:02:55Zchildren.toolbox\_items\[0\].deleted\_at: 2026-06-01T06:02:55Z
Payload Schema¶
{
"root.type": "M",
"root.required": "True",
"root.attributes.toolbox_id.type": "S",
"root.attributes.toolbox_id.required": "True",
"root.attributes.toolbox_id.format": "uuidv4",
"root.attributes.toolbox_id.regex": "^[1-9a-fA-F][0-9a-fA-F]{7}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$",
"root.attributes.store_id.type": "S",
"root.attributes.store_id.required": "False",
"root.attributes.store_id.format": "uuidv4",
"root.attributes.store_id.regex": "^[1-9a-fA-F][0-9a-fA-F]{7}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$",
"root.attributes.entity_number.type": "S",
"root.attributes.entity_number.required": "False",
"root.attributes.entity_number.regex": "^[A-Za-z0-9_-]{1,64}$",
"root.attributes.toolbox_number.type": "S",
"root.attributes.toolbox_number.required": "False",
"root.attributes.toolbox_number.regex": "^[A-Za-z0-9_-]{1,64}$",
"root.attributes.toolbox_code.type": "S",
"root.attributes.toolbox_code.required": "False",
"root.attributes.toolbox_code.regex": "^[A-Za-z0-9_-]{1,64}$",
"root.attributes.toolbox_name.type": "S",
"root.attributes.toolbox_name.required": "False",
"root.attributes.toolbox_name.regex": "^[A-Za-z0-9 .,'_-]{1,120}$",
"root.attributes.equipment_name.type": "S",
"root.attributes.equipment_name.required": "False",
"root.attributes.equipment_name.regex": "^[A-Za-z0-9 .,'_-]{1,120}$",
"root.attributes.category.type": "S",
"root.attributes.category.required": "False",
"root.attributes.category.regex": "^[A-Za-z0-9_-]{1,64}$",
"root.attributes.daily_rate.type": "N",
"root.attributes.daily_rate.required": "False",
"root.attributes.daily_rate.regex": "^-?\\d+(\\.\\d+)?$",
"root.attributes.status.type": "S",
"root.attributes.status.required": "False",
"root.attributes.status.regex": "^[A-Za-z0-9_-]{1,64}$",
"root.attributes.created.type": "S",
"root.attributes.created.required": "False",
"root.attributes.created.format": "iso8601",
"root.attributes.created.regex": "^\\d{4}-\\d{2}-\\d{2}T\\d{2}:\\d{2}:\\d{2}(\\.\\d{1,6})?Z?$",
"root.attributes.updated.type": "S",
"root.attributes.updated.required": "False",
"root.attributes.updated.format": "iso8601",
"root.attributes.updated.regex": "^\\d{4}-\\d{2}-\\d{2}T\\d{2}:\\d{2}:\\d{2}(\\.\\d{1,6})?Z?$",
"root.attributes.is_active.type": "BOOL",
"root.attributes.is_active.required": "False",
"root.attributes.is_active.regex": "^(true|false)$",
"root.attributes.is_deleted.type": "BOOL",
"root.attributes.is_deleted.required": "False",
"root.attributes.is_deleted.regex": "^(true|false)$",
"root.attributes.deleted_at.type": "S",
"root.attributes.deleted_at.required": "False",
"root.attributes.deleted_at.format": "iso8601",
"root.attributes.deleted_at.regex": "^\\d{4}-\\d{2}-\\d{2}T\\d{2}:\\d{2}:\\d{2}(\\.\\d{1,6})?Z?$",
"root.attributes.idempotency_key.type": "S",
"root.attributes.idempotency_key.required": "False",
"root.attributes.idempotency_key.regex": "^[A-Za-z0-9_-]{1,64}$",
"root.attributes.schema_version.type": "N",
"root.attributes.schema_version.required": "False",
"root.attributes.schema_version.regex": "^\\d+$",
"root.attributes.version.type": "N",
"root.attributes.version.required": "False",
"root.attributes.version.regex": "^\\d+$",
"root.attributes.children.type": "M",
"root.attributes.children.required": "False",
"root.attributes.children.attributes.toolbox_items.type": "L",
"root.attributes.children.attributes.toolbox_items.required": "False",
"root.attributes.children.attributes.toolbox_items.items.type": "M",
"root.attributes.children.attributes.toolbox_items.items.attributes.toolbox_item_id.type": "S",
"root.attributes.children.attributes.toolbox_items.items.attributes.toolbox_item_id.required": "True",
"root.attributes.children.attributes.toolbox_items.items.attributes.toolbox_item_id.format": "uuidv4",
"root.attributes.children.attributes.toolbox_items.items.attributes.toolbox_item_id.regex": "^[1-9a-fA-F][0-9a-fA-F]{7}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$",
"root.attributes.children.attributes.toolbox_items.items.attributes.toolbox_id.type": "S",
"root.attributes.children.attributes.toolbox_items.items.attributes.toolbox_id.required": "False",
"root.attributes.children.attributes.toolbox_items.items.attributes.toolbox_id.format": "uuidv4",
"root.attributes.children.attributes.toolbox_items.items.attributes.toolbox_id.regex": "^[1-9a-fA-F][0-9a-fA-F]{7}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$",
"root.attributes.children.attributes.toolbox_items.items.attributes.store_id.type": "S",
"root.attributes.children.attributes.toolbox_items.items.attributes.store_id.required": "False",
"root.attributes.children.attributes.toolbox_items.items.attributes.store_id.format": "uuidv4",
"root.attributes.children.attributes.toolbox_items.items.attributes.store_id.regex": "^[1-9a-fA-F][0-9a-fA-F]{7}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$",
"root.attributes.children.attributes.toolbox_items.items.attributes.line_number.type": "N",
"root.attributes.children.attributes.toolbox_items.items.attributes.line_number.required": "False",
"root.attributes.children.attributes.toolbox_items.items.attributes.line_number.regex": "^\\d+$",
"root.attributes.children.attributes.toolbox_items.items.attributes.item_name.type": "S",
"root.attributes.children.attributes.toolbox_items.items.attributes.item_name.required": "False",
"root.attributes.children.attributes.toolbox_items.items.attributes.item_name.regex": "^[A-Za-z0-9 .,'_-]{1,120}$",
"root.attributes.children.attributes.toolbox_items.items.attributes.item_code.type": "S",
"root.attributes.children.attributes.toolbox_items.items.attributes.item_code.required": "False",
"root.attributes.children.attributes.toolbox_items.items.attributes.item_code.regex": "^[A-Za-z0-9_-]{1,64}$",
"root.attributes.children.attributes.toolbox_items.items.attributes.item_category.type": "S",
"root.attributes.children.attributes.toolbox_items.items.attributes.item_category.required": "False",
"root.attributes.children.attributes.toolbox_items.items.attributes.item_category.regex": "^[A-Za-z0-9_-]{1,64}$",
"root.attributes.children.attributes.toolbox_items.items.attributes.quantity.type": "N",
"root.attributes.children.attributes.toolbox_items.items.attributes.quantity.required": "False",
"root.attributes.children.attributes.toolbox_items.items.attributes.quantity.regex": "^-?\\d+(\\.\\d+)?$",
"root.attributes.children.attributes.toolbox_items.items.attributes.unit.type": "S",
"root.attributes.children.attributes.toolbox_items.items.attributes.unit.required": "False",
"root.attributes.children.attributes.toolbox_items.items.attributes.unit.regex": "^[A-Za-z0-9_-]{1,64}$",
"root.attributes.children.attributes.toolbox_items.items.attributes.status.type": "S",
"root.attributes.children.attributes.toolbox_items.items.attributes.status.required": "False",
"root.attributes.children.attributes.toolbox_items.items.attributes.status.regex": "^[A-Za-z0-9_-]{1,64}$",
"root.attributes.children.attributes.toolbox_items.items.attributes.created.type": "S",
"root.attributes.children.attributes.toolbox_items.items.attributes.created.required": "False",
"root.attributes.children.attributes.toolbox_items.items.attributes.created.format": "iso8601",
"root.attributes.children.attributes.toolbox_items.items.attributes.created.regex": "^\\d{4}-\\d{2}-\\d{2}T\\d{2}:\\d{2}:\\d{2}(\\.\\d{1,6})?Z?$",
"root.attributes.children.attributes.toolbox_items.items.attributes.updated.type": "S",
"root.attributes.children.attributes.toolbox_items.items.attributes.updated.required": "False",
"root.attributes.children.attributes.toolbox_items.items.attributes.updated.format": "iso8601",
"root.attributes.children.attributes.toolbox_items.items.attributes.updated.regex": "^\\d{4}-\\d{2}-\\d{2}T\\d{2}:\\d{2}:\\d{2}(\\.\\d{1,6})?Z?$",
"root.attributes.children.attributes.toolbox_items.items.attributes.deleted_at.type": "S",
"root.attributes.children.attributes.toolbox_items.items.attributes.deleted_at.required": "False",
"root.attributes.children.attributes.toolbox_items.items.attributes.deleted_at.format": "iso8601",
"root.attributes.children.attributes.toolbox_items.items.attributes.deleted_at.regex": "^\\d{4}-\\d{2}-\\d{2}T\\d{2}:\\d{2}:\\d{2}(\\.\\d{1,6})?Z?$"
}
Response Schema¶
{
"root.type": "M",
"root.required": "True",
"root.attributes.is_accepted.type": "BOOL",
"root.attributes.is_accepted.required": "True",
"root.attributes.message.type": "S",
"root.attributes.message.required": "True",
"root.attributes.request_id.type": "S",
"root.attributes.request_id.required": "False"
}
Request Payload¶
{
"toolbox_id": "6f0368ab-6e1c-4a73-98ef-a72547aa1598",
"store_id": "a759206d-4ca5-4adb-b7fe-b1d0b8506b0c",
"entity_number": "0001",
"toolbox_number": "0001",
"toolbox_code": "value-001",
"toolbox_name": "Sample Hardware Toolboxes 001",
"equipment_name": "Sample Hardware Toolboxes 001",
"category": "value-001",
"daily_rate": "1",
"status": "value-001",
"created": "2026-06-01T06:02:55Z",
"updated": "2026-06-01T06:02:55Z",
"is_active": "True",
"is_deleted": "True",
"deleted_at": "2026-06-01T06:02:55Z",
"idempotency_key": "value-001",
"schema_version": "1",
"version": "1",
"children.toolbox_items[0].toolbox_item_id": "aa58b872-5d5f-47f3-a41e-472efca196c8",
"children.toolbox_items[0].toolbox_id": "6f0368ab-6e1c-4a73-98ef-a72547aa1598",
"children.toolbox_items[0].store_id": "a759206d-4ca5-4adb-b7fe-b1d0b8506b0c",
"children.toolbox_items[0].line_number": "1",
"children.toolbox_items[0].item_name": "Sample Hardware Toolbox Items 001",
"children.toolbox_items[0].item_code": "value-001",
"children.toolbox_items[0].item_category": "value-001",
"children.toolbox_items[0].quantity": "1",
"children.toolbox_items[0].unit": "value-001",
"children.toolbox_items[0].status": "value-001",
"children.toolbox_items[0].created": "2026-06-01T06:02:55Z",
"children.toolbox_items[0].updated": "2026-06-01T06:02:55Z",
"children.toolbox_items[0].deleted_at": "2026-06-01T06:02:55Z"
}
Response¶
{
"root.type": "M",
"root.required": "True",
"root.attributes.is_accepted.type": "BOOL",
"root.attributes.is_accepted.required": "True",
"root.attributes.message.type": "S",
"root.attributes.message.required": "True",
"root.attributes.request_id.type": "S",
"root.attributes.request_id.required": "False"
}
CMD curl¶
curl -X PATCH "https://5g667fp458.execute-api.ap-southeast-1.amazonaws.com/prod/hardware-toolboxes-patch-one" -H "Content-Type: application/json" --data-raw "{\"toolbox_id\": \"6f0368ab-6e1c-4a73-98ef-a72547aa1598\", \"store_id\": \"a759206d-4ca5-4adb-b7fe-b1d0b8506b0c\", \"entity_number\": \"0001\", \"toolbox_number\": \"0001\", \"toolbox_code\": \"value-001\", \"toolbox_name\": \"Sample Hardware Toolboxes 001\", \"equipment_name\": \"Sample Hardware Toolboxes 001\", \"category\": \"value-001\", \"daily_rate\": 1, \"status\": \"value-001\", \"created\": \"2026-06-01T06:02:55Z\", \"updated\": \"2026-06-01T06:02:55Z\", \"is_active\": true, \"is_deleted\": true, \"deleted_at\": \"2026-06-01T06:02:55Z\", \"idempotency_key\": \"value-001\", \"schema_version\": 1, \"version\": 1, \"children\": {\"toolbox_items\": [{\"toolbox_item_id\": \"aa58b872-5d5f-47f3-a41e-472efca196c8\", \"toolbox_id\": \"6f0368ab-6e1c-4a73-98ef-a72547aa1598\", \"store_id\": \"a759206d-4ca5-4adb-b7fe-b1d0b8506b0c\", \"line_number\": 1, \"item_name\": \"Sample Hardware Toolbox Items 001\", \"item_code\": \"value-001\", \"item_category\": \"value-001\", \"quantity\": 1, \"unit\": \"value-001\", \"status\": \"value-001\", \"created\": \"2026-06-01T06:02:55Z\", \"updated\": \"2026-06-01T06:02:55Z\", \"deleted_at\": \"2026-06-01T06:02:55Z\"}]}}"
PowerShell curl¶
curl.exe -X PATCH "https://5g667fp458.execute-api.ap-southeast-1.amazonaws.com/prod/hardware-toolboxes-patch-one" -H "Content-Type: application/json" --data-raw '{"toolbox_id": "6f0368ab-6e1c-4a73-98ef-a72547aa1598", "store_id": "a759206d-4ca5-4adb-b7fe-b1d0b8506b0c", "entity_number": "0001", "toolbox_number": "0001", "toolbox_code": "value-001", "toolbox_name": "Sample Hardware Toolboxes 001", "equipment_name": "Sample Hardware Toolboxes 001", "category": "value-001", "daily_rate": 1, "status": "value-001", "created": "2026-06-01T06:02:55Z", "updated": "2026-06-01T06:02:55Z", "is_active": true, "is_deleted": true, "deleted_at": "2026-06-01T06:02:55Z", "idempotency_key": "value-001", "schema_version": 1, "version": 1, "children": {"toolbox_items": [{"toolbox_item_id": "aa58b872-5d5f-47f3-a41e-472efca196c8", "toolbox_id": "6f0368ab-6e1c-4a73-98ef-a72547aa1598", "store_id": "a759206d-4ca5-4adb-b7fe-b1d0b8506b0c", "line_number": 1, "item_name": "Sample Hardware Toolbox Items 001", "item_code": "value-001", "item_category": "value-001", "quantity": 1, "unit": "value-001", "status": "value-001", "created": "2026-06-01T06:02:55Z", "updated": "2026-06-01T06:02:55Z", "deleted_at": "2026-06-01T06:02:55Z"}]}}'